#
# a test client for testing Net::SSL-class's behavior
# (aspa@hip.fi).
#
# $Id: ssl_client.pl,v 1.1 1999/05/27 08:32:10 aspa Exp aspa $.
#

use Net::SSL;

my $v_mode = &Net::SSLeay::VERIFY_NONE;

if(!($sock = Net::SSL->new( PeerAddr => 'localhost',
			    PeerPort => '9000',
			    Proto    => 'tcp',
			    SSL_verify_mode => $v_mode,
			  ))) {
  print STDERR "unable to create socket: '$!'.\n";
  exit(0);
}

$buf = "";

$sock->sysread($buf, 32768);

print "read: '$buf'.\n";
